#
# spec file for package bchunk
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2005-2007 Toni Graffy (oc2pus) <toni@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bchunk
Version:        1.2.2
Release:        1.27
Summary:        A CD image format converter from .bin/.cue to .iso/.cdr/.wav
License:        GPL-2.0+
Group:          Productivity/File utilities
URL:            http://he.fi/bchunk/
Source:         http://he.fi/bchunk/%{name}-%{version}.tar.gz

%description
The bchunk package contains a UNIX/C rewrite of the BinChunker
program. BinChunker converts a CD image in a .bin/.cue format
(sometimes .raw/.cue) into a set of .iso and .cdr/.wav tracks.
The .bin/.cue format is used by some non-UNIX CD-writing
software, but is not supported on most other CD-writing programs.

%prep
%setup -q

%build
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
install -dm 755 %{buildroot}%{_bindir}
install -m 755 \
	%{name} %{buildroot}%{_bindir}

install -dm 755 %{buildroot}%{_mandir}/man1
install -m 644 %{name}.1 %{buildroot}%{_mandir}/man1

%files
%doc COPYING ChangeLog README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Fri Feb  2 2018 aloisio@gmx.com
- Update to version 1.2.2
  * Fixes CVE-2017-15953 and CVE-2017-15954, a heap-based buffer
    overflow. Fix provided by Yegor Timoshenko.
  * Fixes CVE-2017-15955, Access violation near NULL on destination
    operand and crash when processing a malformed CUE (.cue) file.
    Fix provided by Yegor Timoshenko.
  * Fix wrong track size calculation when having multiple tracks in
    one image (debian bug: #261274). Fix provided by Piotr Kaczuba.
  * Clarified manual page for input/output file types. Improvement
    from Reuben Thomas (debian bug: #503151).
- Spec cleanup
* Mon Aug 27 2007 toni@links2linux.de
- changed Group to Productivity/File utilities
- added debug_package
* Fri Sep 15 2006 toni@links2linux.de
- build for packman
* Fri Nov 18 2005 oc2pus@arcor.de
- rebuild for SuSE-10
* Tue Sep 28 2004 oc2pus@arcor.de
- build for apt-repository
